Index: contrib/dbase/dbf2pg.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/dbase/dbf2pg.c,v
retrieving revision 1.13
diff -c -r1.13 dbf2pg.c
*** contrib/dbase/dbf2pg.c	31 Oct 2002 19:11:48 -0000	1.13
--- contrib/dbase/dbf2pg.c	10 Mar 2003 07:16:02 -0000
***************
*** 199,205 ****
  }
  
  /* patch submitted by Jeffrey Y. Sue <jysue@aloha.net> */
! /* Provides functionallity for substituting dBase-fieldnames for others */
  /* Mainly for avoiding conflicts between fieldnames and SQL-reserved */
  /* keywords */
  
--- 199,205 ----
  }
  
  /* patch submitted by Jeffrey Y. Sue <jysue@aloha.net> */
! /* Provides functionality for substituting dBase-fieldnames for others */
  /* Mainly for avoiding conflicts between fieldnames and SQL-reserved */
  /* keywords */
  
Index: contrib/fulltextindex/fti.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/fulltextindex/fti.c,v
retrieving revision 1.20
diff -c -r1.20 fti.c
*** contrib/fulltextindex/fti.c	2 Sep 2002 06:27:04 -0000	1.20
--- contrib/fulltextindex/fti.c	10 Mar 2003 07:15:27 -0000
***************
*** 83,89 ****
   *	 nothing in it, then re-populate the fti-table)
   *
   *	 can we do something with operator overloading or a seperate function
!  *	 that can build the final query automatigally?
   */
  
  #define MAX_FTI_QUERY_LENGTH 8192
--- 83,89 ----
   *	 nothing in it, then re-populate the fti-table)
   *
   *	 can we do something with operator overloading or a seperate function
!  *	 that can build the final query automagically?
   */
  
  #define MAX_FTI_QUERY_LENGTH 8192
Index: contrib/fuzzystrmatch/fuzzystrmatch.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/fuzzystrmatch/fuzzystrmatch.c,v
retrieving revision 1.6
diff -c -r1.6 fuzzystrmatch.c
*** contrib/fuzzystrmatch/fuzzystrmatch.c	30 Dec 2001 23:09:41 -0000	1.6
--- contrib/fuzzystrmatch/fuzzystrmatch.c	10 Mar 2003 07:18:38 -0000
***************
*** 76,82 ****
  	/*
  	 * Restrict the length of the strings being compared to something
  	 * reasonable because we will have to perform rows * cols
! 	 * calcualtions. If longer strings need to be compared, increase
  	 * MAX_LEVENSHTEIN_STRLEN to suit (but within your tolerance for speed
  	 * and memory usage).
  	 */
--- 76,82 ----
  	/*
  	 * Restrict the length of the strings being compared to something
  	 * reasonable because we will have to perform rows * cols
! 	 * calculations. If longer strings need to be compared, increase
  	 * MAX_LEVENSHTEIN_STRLEN to suit (but within your tolerance for speed
  	 * and memory usage).
  	 */
***************
*** 250,256 ****
   *------------------------------------------------------------------*/
  
  /* I suppose I could have been using a character pointer instead of
!  * accesssing the array directly... */
  
  /* Look at the next letter in the word */
  #define Next_Letter (toupper((unsigned char) word[w_idx+1]))
--- 250,256 ----
   *------------------------------------------------------------------*/
  
  /* I suppose I could have been using a character pointer instead of
!  * accessing the array directly... */
  
  /* Look at the next letter in the word */
  #define Next_Letter (toupper((unsigned char) word[w_idx+1]))
***************
*** 421,427 ****
  		 w_idx++)
  	{
  		/*
! 		 * How many letters to skip because an eariler encoding handled
  		 * multiple letters
  		 */
  		unsigned short int skip_letter = 0;
--- 421,427 ----
  		 w_idx++)
  	{
  		/*
! 		 * How many letters to skip because an earlier encoding handled
  		 * multiple letters
  		 */
  		unsigned short int skip_letter = 0;
Index: contrib/intagg/int_aggregate.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/intagg/int_aggregate.c,v
retrieving revision 1.7
diff -c -r1.7 int_aggregate.c
*** contrib/intagg/int_aggregate.c	13 Dec 2002 19:45:45 -0000	1.7
--- contrib/intagg/int_aggregate.c	10 Mar 2003 07:19:41 -0000
***************
*** 191,197 ****
  }
  
  /* This is the final function used for the integer aggregator. It returns all the integers
!  * collected as a one dimentional integer array */
  Datum
  int_agg_final_array(PG_FUNCTION_ARGS)
  {
--- 191,197 ----
  }
  
  /* This is the final function used for the integer aggregator. It returns all the integers
!  * collected as a one dimensional integer array */
  Datum
  int_agg_final_array(PG_FUNCTION_ARGS)
  {
***************
*** 225,231 ****
  		/* Allocate a working context */
  		pc = (CTX *) palloc(sizeof(CTX));
  
! 		/* Don't copy atribute if you don't need too */
  		if (VARATT_IS_EXTENDED(p))
  		{
  			/* Toasted!!! */
--- 225,231 ----
  		/* Allocate a working context */
  		pc = (CTX *) palloc(sizeof(CTX));
  
! 		/* Don't copy attribute if you don't need too */
  		if (VARATT_IS_EXTENDED(p))
  		{
  			/* Toasted!!! */
Index: contrib/intarray/_int.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/intarray/_int.c,v
retrieving revision 1.26
diff -c -r1.26 _int.c
*** contrib/intarray/_int.c	13 Nov 2002 00:39:46 -0000	1.26
--- contrib/intarray/_int.c	10 Mar 2003 07:20:55 -0000
***************
*** 133,139 ****
  typedef void (*formfloat) (ArrayType *, float *);
  
  /*
! ** usefull function
  */
  static bool isort(int4 *a, const int len);
  static ArrayType *new_intArrayType(int num);
--- 133,139 ----
  typedef void (*formfloat) (ArrayType *, float *);
  
  /*
! ** useful function
  */
  static bool isort(int4 *a, const int len);
  static ArrayType *new_intArrayType(int num);
***************
*** 446,452 ****
  	lenin = ARRNELEMS(in);
  
  	if (lenin < 2 * MAXNUMRANGE || ISLEAFKEY(in))
! 	{							/* not comressed value */
  		if (in != (ArrayType *) DatumGetPointer(entry->key))
  		{
  			retval = palloc(sizeof(GISTENTRY));
--- 446,452 ----
  	lenin = ARRNELEMS(in);
  
  	if (lenin < 2 * MAXNUMRANGE || ISLEAFKEY(in))
! 	{							/* not compressed value */
  		if (in != (ArrayType *) DatumGetPointer(entry->key))
  		{
  			retval = palloc(sizeof(GISTENTRY));
***************
*** 1642,1648 ****
  	char	   *buf;
  	int4		state;
  	int4		count;
! 	/* reverse polish notation in list (for temprorary usage) */
  	NODE	   *str;
  	/* number in str */
  	int4		num;
--- 1642,1648 ----
  	char	   *buf;
  	int4		state;
  	int4		count;
! 	/* reverse polish notation in list (for temporary usage) */
  	NODE	   *str;
  	/* number in str */
  	int4		num;
***************
*** 1747,1753 ****
  #define STACKDEPTH	16
  
  /*
!  * make polish notaion of query
   */
  static int4
  makepol(WORKSTATE * state)
--- 1747,1753 ----
  #define STACKDEPTH	16
  
  /*
!  * make polish notation of query
   */
  static int4
  makepol(WORKSTATE * state)
Index: contrib/ltree/ltxtquery_io.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/ltree/ltxtquery_io.c,v
retrieving revision 1.4
diff -c -r1.4 ltxtquery_io.c
*** contrib/ltree/ltxtquery_io.c	4 Sep 2002 20:31:06 -0000	1.4
--- contrib/ltree/ltxtquery_io.c	10 Mar 2003 07:21:27 -0000
***************
*** 38,44 ****
  	char	   *buf;
  	int4		state;
  	int4		count;
! 	/* reverse polish notation in list (for temprorary usage) */
  	NODE	   *str;
  	/* number in str */
  	int4		num;
--- 38,44 ----
  	char	   *buf;
  	int4		state;
  	int4		count;
! 	/* reverse polish notation in list (for temporary usage) */
  	NODE	   *str;
  	/* number in str */
  	int4		num;
Index: contrib/oid2name/oid2name.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/oid2name/oid2name.c,v
retrieving revision 1.16
diff -c -r1.16 oid2name.c
*** contrib/oid2name/oid2name.c	18 Oct 2002 18:41:20 -0000	1.16
--- contrib/oid2name/oid2name.c	10 Mar 2003 07:21:45 -0000
***************
*** 50,56 ****
  void		sql_exec_searchtable(PGconn *, const char *);
  void		sql_exec_searchoid(PGconn *, int);
  
! /* fuction to parse command line options and check for some usage errors. */
  void
  get_opts(int argc, char **argv, struct options * my_opts)
  {
--- 50,56 ----
  void		sql_exec_searchtable(PGconn *, const char *);
  void		sql_exec_searchoid(PGconn *, int);
  
! /* function to parse command line options and check for some usage errors. */
  void
  get_opts(int argc, char **argv, struct options * my_opts)
  {
Index: contrib/pgcrypto/random.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/pgcrypto/random.c,v
retrieving revision 1.5
diff -c -r1.5 random.c
*** contrib/pgcrypto/random.c	5 Nov 2001 17:46:23 -0000	1.5
--- contrib/pgcrypto/random.c	10 Mar 2003 07:22:36 -0000
***************
*** 115,121 ****
  
  	/*
  	 * OpenSSL random should re-feeded occasionally. From /dev/urandom
! 	 * preferrably.
  	 */
  
  	res = RAND_bytes(dst, count);
--- 115,121 ----
  
  	/*
  	 * OpenSSL random should re-feeded occasionally. From /dev/urandom
! 	 * preferably.
  	 */
  
  	res = RAND_bytes(dst, count);
Index: contrib/spi/moddatetime.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/spi/moddatetime.c,v
retrieving revision 1.7
diff -c -r1.7 moddatetime.c
*** contrib/spi/moddatetime.c	9 Jan 2003 07:10:07 -0000	1.7
--- contrib/spi/moddatetime.c	10 Mar 2003 07:23:45 -0000
***************
*** 2,8 ****
  moddatetime.c
  
  What is this?
! It is a function to be called from a trigger for the perpose of updating
  a modification datetime stamp in a record when that record is UPDATEd.
  
  Credits
--- 2,8 ----
  moddatetime.c
  
  What is this?
! It is a function to be called from a trigger for the purpose of updating
  a modification datetime stamp in a record when that record is UPDATEd.
  
  Credits
***************
*** 70,83 ****
  								Int32GetDatum(-1));
  
  	/*
! 	 * This gets the position in the turple of the field we want. args[0]
  	 * being the name of the field to update, as passed in from the
  	 * trigger.
  	 */
  	attnum = SPI_fnumber(tupdesc, args[0]);
  
  	/*
! 	 * This is were we check to see if the feild we are suppost to update
  	 * even exits.	The above function must return -1 if name not found?
  	 */
  	if (attnum < 0)
--- 70,83 ----
  								Int32GetDatum(-1));
  
  	/*
! 	 * This gets the position in the tuple of the field we want. args[0]
  	 * being the name of the field to update, as passed in from the
  	 * trigger.
  	 */
  	attnum = SPI_fnumber(tupdesc, args[0]);
  
  	/*
! 	 * This is were we check to see if the field we are supposed to update
  	 * even exits.	The above function must return -1 if name not found?
  	 */
  	if (attnum < 0)
Index: contrib/string/string_io.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/string/string_io.c,v
retrieving revision 1.17
diff -c -r1.17 string_io.c
*** contrib/string/string_io.c	25 Oct 2001 05:49:20 -0000	1.17
--- contrib/string/string_io.c	10 Mar 2003 07:24:14 -0000
***************
*** 166,172 ****
   *
   * This function accepts a C string in input and copies it into a new
   * object allocated with palloc() translating all escape sequences.
!  * An optional header can be allocatd before the string, for example
   * to hold the length of a varlena object.
   * This function is not necessary for input from sql commands because
   * the parser already does escape translation, all data input routines
--- 166,172 ----
   *
   * This function accepts a C string in input and copies it into a new
   * object allocated with palloc() translating all escape sequences.
!  * An optional header can be allocated before the string, for example
   * to hold the length of a varlena object.
   * This function is not necessary for input from sql commands because
   * the parser already does escape translation, all data input routines
Index: contrib/tablefunc/tablefunc.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/tablefunc/tablefunc.c,v
retrieving revision 1.12
diff -c -r1.12 tablefunc.c
*** contrib/tablefunc/tablefunc.c	9 Mar 2003 02:19:13 -0000	1.12
--- contrib/tablefunc/tablefunc.c	10 Mar 2003 07:24:51 -0000
***************
*** 44,50 ****
  static bool compatConnectbyTupleDescs(TupleDesc tupdesc1, TupleDesc tupdesc2);
  static void get_normal_pair(float8 *x1, float8 *x2);
  static TupleDesc make_crosstab_tupledesc(TupleDesc spi_tupdesc,
! 						int num_catagories);
  static Tuplestorestate *connectby(char *relname,
  		  char *key_fld,
  		  char *parent_key_fld,
--- 44,50 ----
  static bool compatConnectbyTupleDescs(TupleDesc tupdesc1, TupleDesc tupdesc2);
  static void get_normal_pair(float8 *x1, float8 *x2);
  static TupleDesc make_crosstab_tupledesc(TupleDesc spi_tupdesc,
! 						int num_categories);
  static Tuplestorestate *connectby(char *relname,
  		  char *key_fld,
  		  char *parent_key_fld,
***************
*** 373,381 ****
  				elog(ERROR, "Wrong number of arguments specified for function");
  			else
  			{
! 				int			num_catagories = PG_GETARG_INT32(1);
  
! 				tupdesc = make_crosstab_tupledesc(spi_tupdesc, num_catagories);
  			}
  		}
  		else if (functyptype == 'b')
--- 373,381 ----
  				elog(ERROR, "Wrong number of arguments specified for function");
  			else
  			{
! 				int			num_categories = PG_GETARG_INT32(1);
  
! 				tupdesc = make_crosstab_tupledesc(spi_tupdesc, num_categories);
  			}
  		}
  		else if (functyptype == 'b')
***************
*** 1034,1040 ****
  }
  
  static TupleDesc
! make_crosstab_tupledesc(TupleDesc spi_tupdesc, int num_catagories)
  {
  	Form_pg_attribute sql_attr;
  	Oid			sql_atttypid;
--- 1034,1040 ----
  }
  
  static TupleDesc
! make_crosstab_tupledesc(TupleDesc spi_tupdesc, int num_categories)
  {
  	Form_pg_attribute sql_attr;
  	Oid			sql_atttypid;
***************
*** 1046,1055 ****
  
  	/*
  	 * We need to build a tuple description with one column for the
! 	 * rowname, and num_catagories columns for the values. Each must be of
  	 * the same type as the corresponding spi result input column.
  	 */
! 	natts = num_catagories + 1;
  	tupdesc = CreateTemplateTupleDesc(natts, false);
  
  	/* first the rowname column */
--- 1046,1055 ----
  
  	/*
  	 * We need to build a tuple description with one column for the
! 	 * rowname, and num_categories columns for the values. Each must be of
  	 * the same type as the corresponding spi result input column.
  	 */
! 	natts = num_categories + 1;
  	tupdesc = CreateTemplateTupleDesc(natts, false);
  
  	/* first the rowname column */
***************
*** 1063,1073 ****
  	TupleDescInitEntry(tupdesc, attnum, attname, sql_atttypid,
  					   -1, 0, false);
  
! 	/* now the catagory values columns */
  	sql_attr = spi_tupdesc->attrs[2];
  	sql_atttypid = sql_attr->atttypid;
  
! 	for (i = 0; i < num_catagories; i++)
  	{
  		attnum++;
  
--- 1063,1073 ----
  	TupleDescInitEntry(tupdesc, attnum, attname, sql_atttypid,
  					   -1, 0, false);
  
! 	/* now the category values columns */
  	sql_attr = spi_tupdesc->attrs[2];
  	sql_atttypid = sql_attr->atttypid;
  
! 	for (i = 0; i < num_categories; i++)
  	{
  		attnum++;
  
Index: contrib/tsearch/morph.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/tsearch/morph.c,v
retrieving revision 1.9
diff -c -r1.9 morph.c
*** contrib/tsearch/morph.c	6 Dec 2002 05:15:02 -0000	1.9
--- contrib/tsearch/morph.c	10 Mar 2003 07:25:48 -0000
***************
*** 187,193 ****
  				int			oldlen = *len;
  				char	   *newword = (*(dict->lemmatize)) (dictobjs[nd], word, len);
  
! 				/* word is recognized by distionary */
  				if (newword != word || *len != oldlen)
  				{
  					if (dict->is_stemstoplemm &&
--- 187,193 ----
  				int			oldlen = *len;
  				char	   *newword = (*(dict->lemmatize)) (dictobjs[nd], word, len);
  
! 				/* word is recognized by dictionary */
  				if (newword != word || *len != oldlen)
  				{
  					if (dict->is_stemstoplemm &&
Index: contrib/tsearch/query.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/tsearch/query.c,v
retrieving revision 1.9
diff -c -r1.9 query.c
*** contrib/tsearch/query.c	1 Nov 2002 22:52:33 -0000	1.9
--- contrib/tsearch/query.c	10 Mar 2003 07:25:24 -0000
***************
*** 79,85 ****
  	char	   *buf;
  	int4		state;
  	int4		count;
! 	/* reverse polish notation in list (for temprorary usage) */
  	NODE	   *str;
  	/* number in str */
  	int4		num;
--- 79,85 ----
  	char	   *buf;
  	int4		state;
  	int4		count;
! 	/* reverse polish notation in list (for temporary usage) */
  	NODE	   *str;
  	/* number in str */
  	int4		num;
***************
*** 247,253 ****
  
  #define STACKDEPTH	32
  /*
!  * make polish notaion of query
   */
  static int4
  makepol(QPRS_STATE * state, void (*pushval) (QPRS_STATE *, int, char *, int))
--- 247,253 ----
  
  #define STACKDEPTH	32
  /*
!  * make polish notation of query
   */
  static int4
  makepol(QPRS_STATE * state, void (*pushval) (QPRS_STATE *, int, char *, int))
Index: contrib/tsearch/rewrite.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/contrib/tsearch/rewrite.c,v
retrieving revision 1.4
diff -c -r1.4 rewrite.c
*** contrib/tsearch/rewrite.c	23 Aug 2002 02:56:36 -0000	1.4
--- contrib/tsearch/rewrite.c	10 Mar 2003 07:25:36 -0000
***************
*** 116,122 ****
  
  /*
   * clean tree for ! operator.
!  * It's usefull for debug, but in
   * other case, such view is used with search in index.
   * Operator ! always return TRUE
   */
--- 116,122 ----
  
  /*
   * clean tree for ! operator.
!  * It's useful for debug, but in
   * other case, such view is used with search in index.
   * Operator ! always return TRUE
   */
Index: src/backend/access/gist/gist.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/access/gist/gist.c,v
retrieving revision 1.101
diff -c -r1.101 gist.c
*** src/backend/access/gist/gist.c	24 Feb 2003 00:57:17 -0000	1.101
--- src/backend/access/gist/gist.c	10 Mar 2003 07:27:09 -0000
***************
*** 465,471 ****
  		/*
  		 * After this call: 1. if child page was splited, then itup
  		 * contains keys for each page 2. if  child page wasn't splited,
! 		 * then itup contains additional for adjustement of current key
  		 */
  		ret = gistlayerinsert(r, nblkno, itup, len, res, giststate);
  
--- 465,471 ----
  		/*
  		 * After this call: 1. if child page was splited, then itup
  		 * contains keys for each page 2. if  child page wasn't splited,
! 		 * then itup contains additional for adjustment of current key
  		 */
  		ret = gistlayerinsert(r, nblkno, itup, len, res, giststate);
  
***************
*** 551,557 ****
  			ItemPointerSet(&((*res)->pointerData), blkno, l);
  
  		if (*len > 1)
! 		{						/* previos insert ret & SPLITED != 0 */
  			int			i;
  
  			/*
--- 551,557 ----
  			ItemPointerSet(&((*res)->pointerData), blkno, l);
  
  		if (*len > 1)
! 		{						/* previous insert ret & SPLITED != 0 */
  			int			i;
  
  			/*
Index: src/backend/access/hash/hashovfl.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/access/hash/hashovfl.c,v
retrieving revision 1.33
diff -c -r1.33 hashovfl.c
*** src/backend/access/hash/hashovfl.c	20 Jun 2002 20:29:24 -0000	1.33
--- src/backend/access/hash/hashovfl.c	10 Mar 2003 07:27:38 -0000
***************
*** 452,458 ****
  /*
   *	_hash_squeezebucket(rel, bucket)
   *
!  *	Try to squeeze the tuples onto pages occuring earlier in the
   *	bucket chain in an attempt to free overflow pages. When we start
   *	the "squeezing", the page from which we start taking tuples (the
   *	"read" page) is the last bucket in the bucket chain and the page
--- 452,458 ----
  /*
   *	_hash_squeezebucket(rel, bucket)
   *
!  *	Try to squeeze the tuples onto pages occurring earlier in the
   *	bucket chain in an attempt to free overflow pages. When we start
   *	the "squeezing", the page from which we start taking tuples (the
   *	"read" page) is the last bucket in the bucket chain and the page
Index: src/backend/access/hash/hashstrat.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/access/hash/hashstrat.c,v
retrieving revision 1.21
diff -c -r1.21 hashstrat.c
*** src/backend/access/hash/hashstrat.c	20 Jun 2002 20:29:24 -0000	1.21
--- src/backend/access/hash/hashstrat.c	10 Mar 2003 07:28:07 -0000
***************
*** 1,7 ****
  /*-------------------------------------------------------------------------
   *
   * hashstrat.c
!  *	  Srategy map entries for the hash indexed access method
   *
   * Portions Copyright (c) 1996-2002, PostgreSQL Global Development Group
   * Portions Copyright (c) 1994, Regents of the University of California
--- 1,7 ----
  /*-------------------------------------------------------------------------
   *
   * hashstrat.c
!  *	  Strategy map entries for the hash indexed access method
   *
   * Portions Copyright (c) 1996-2002, PostgreSQL Global Development Group
   * Portions Copyright (c) 1994, Regents of the University of California
Index: src/backend/access/transam/xact.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/access/transam/xact.c,v
retrieving revision 1.141
diff -c -r1.141 xact.c
*** src/backend/access/transam/xact.c	10 Jan 2003 22:03:27 -0000	1.141
--- src/backend/access/transam/xact.c	10 Mar 2003 07:30:31 -0000
***************
*** 91,97 ****
   *				CommitTransactionBlock
   *				AbortTransactionBlock
   *
!  *		These are invoked only in responce to a user "BEGIN WORK", "COMMIT",
   *		or "ROLLBACK" command.  The tricky part about these functions
   *		is that they are called within the postgres main loop, in between
   *		the StartTransactionCommand() and CommitTransactionCommand().
--- 91,97 ----
   *				CommitTransactionBlock
   *				AbortTransactionBlock
   *
!  *		These are invoked only in response to a user "BEGIN WORK", "COMMIT",
   *		or "ROLLBACK" command.  The tricky part about these functions
   *		is that they are called within the postgres main loop, in between
   *		the StartTransactionCommand() and CommitTransactionCommand().
***************
*** 236,242 ****
   *	SetTransactionFlushEnabled()
   *
   *	These are used to test and set the "TransactionFlushState"
!  *	varable.  If this variable is true (the default), then
   *	the system will flush all dirty buffers to disk at the end
   *	of each transaction.   If false then we are assuming the
   *	buffer pool resides in stable main memory, in which case we
--- 236,242 ----
   *	SetTransactionFlushEnabled()
   *
   *	These are used to test and set the "TransactionFlushState"
!  *	variable.  If this variable is true (the default), then
   *	the system will flush all dirty buffers to disk at the end
   *	of each transaction.   If false then we are assuming the
   *	buffer pool resides in stable main memory, in which case we
Index: src/backend/commands/comment.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/commands/comment.c,v
retrieving revision 1.61
diff -c -r1.61 comment.c
*** src/backend/commands/comment.c	9 Oct 2002 16:26:46 -0000	1.61
--- src/backend/commands/comment.c	10 Mar 2003 07:34:35 -0000
***************
*** 389,395 ****
   *
   * This routine is used to add/drop any user-comments a user might
   * have regarding the specified database. The routine will check
!  * security for owner permissions, and, if succesful, will then
   * attempt to find the oid of the database specified. Once found,
   * a comment is added/dropped using the CreateComments() routine.
   */
--- 389,395 ----
   *
   * This routine is used to add/drop any user-comments a user might
   * have regarding the specified database. The routine will check
!  * security for owner permissions, and, if successful, will then
   * attempt to find the oid of the database specified. Once found,
   * a comment is added/dropped using the CreateComments() routine.
   */
***************
*** 427,433 ****
   *
   * This routine is used to add/drop any user-comments a user might
   * have regarding the specified namespace. The routine will check
!  * security for owner permissions, and, if succesful, will then
   * attempt to find the oid of the namespace specified. Once found,
   * a comment is added/dropped using the CreateComments() routine.
   */
--- 427,433 ----
   *
   * This routine is used to add/drop any user-comments a user might
   * have regarding the specified namespace. The routine will check
!  * security for owner permissions, and, if successful, will then
   * attempt to find the oid of the namespace specified. Once found,
   * a comment is added/dropped using the CreateComments() routine.
   */
***************
*** 579,585 ****
   * have regarding a TYPE. The type is specified by name
   * and, if found, and the user has appropriate permissions, a
   * comment will be added/dropped using the CreateComments() routine.
!  * The type's name and the comments are the paramters to this routine.
   */
  static void
  CommentType(List *typename, char *comment)
--- 579,585 ----
   * have regarding a TYPE. The type is specified by name
   * and, if found, and the user has appropriate permissions, a
   * comment will be added/dropped using the CreateComments() routine.
!  * The type's name and the comments are the parameters to this routine.
   */
  static void
  CommentType(List *typename, char *comment)
Index: src/backend/port/beos/sem.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/port/beos/sem.c,v
retrieving revision 1.7
diff -c -r1.7 sem.c
*** src/backend/port/beos/sem.c	8 Nov 2002 20:23:56 -0000	1.7
--- src/backend/port/beos/sem.c	10 Mar 2003 07:47:33 -0000
***************
*** 99,105 ****
  		return 1;
  	}
  
! 	/* Get the last pid which accesed the sem */
  	if (flag == GETPID)
  	{
  		TRACEDBG("->semctl getpid");
--- 99,105 ----
  		return 1;
  	}
  
! 	/* Get the last pid which accessed the sem */
  	if (flag == GETPID)
  	{
  		TRACEDBG("->semctl getpid");
***************
*** 191,197 ****
  	/* find area */
  	parea = find_area(Nom);
  
! 	/* Test of area existance */
  	if (parea != B_NAME_NOT_FOUND)
  	{
  		/* Area exist and creation is requested, error */
--- 191,197 ----
  	/* find area */
  	parea = find_area(Nom);
  
! 	/* Test of area existence */
  	if (parea != B_NAME_NOT_FOUND)
  	{
  		/* Area exist and creation is requested, error */
***************
*** 221,227 ****
  
  			/*
  			 * Limit to 250 (8 byte per sem : 4 for the semid and 4 for
! 			 * the last pid which acceced the semaphore in a pool
  			 */
  			if (semNum > 250)
  			{
--- 221,227 ----
  
  			/*
  			 * Limit to 250 (8 byte per sem : 4 for the semid and 4 for
! 			 * the last pid which accessed the semaphore in a pool
  			 */
  			if (semNum > 250)
  			{
***************
*** 293,299 ****
  		if (sops[i].sem_op < 0)
  		{
  			/*
! 			 * Try acuiring the semaphore till we are not inteerupted by a
  			 * signal
  			 */
  			if (sops[i].sem_flg == IPC_NOWAIT)
--- 293,299 ----
  		if (sops[i].sem_op < 0)
  		{
  			/*
! 			 * Try acquiring the semaphore till we are not interrupted by a
  			 * signal
  			 */
  			if (sops[i].sem_flg == IPC_NOWAIT)
Index: src/backend/utils/adt/formatting.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/formatting.c,v
retrieving revision 1.57
diff -c -r1.57 formatting.c
*** src/backend/utils/adt/formatting.c	8 Nov 2002 20:23:56 -0000	1.57
--- src/backend/utils/adt/formatting.c	10 Mar 2003 07:55:05 -0000
***************
*** 264,270 ****
  	int			pre,			/* (count) numbers before decimal */
  				post,			/* (count) numbers after decimal  */
  				lsign,			/* want locales sign		  */
! 				flag,			/* number parametrs		  */
  				pre_lsign_num,	/* tmp value for lsign		  */
  				multi,			/* multiplier for 'V'		  */
  				zero_start,		/* position of first zero	  */
--- 264,270 ----
  	int			pre,			/* (count) numbers before decimal */
  				post,			/* (count) numbers after decimal  */
  				lsign,			/* want locales sign		  */
! 				flag,			/* number parameters		  */
  				pre_lsign_num,	/* tmp value for lsign		  */
  				multi,			/* multiplier for 'V'		  */
  				zero_start,		/* position of first zero	  */
***************
*** 488,494 ****
   * it is not good.
   *
   * (!)
!  *	 - Position for the keyword is simular as position in the enum DCH/NUM_poz.
   * (!)
   *
   * For fast search is used the 'int index[]', index is ascii table from position
--- 488,494 ----
   * it is not good.
   *
   * (!)
!  *	 - Position for the keyword is similar as position in the enum DCH/NUM_poz.
   * (!)
   *
   * For fast search is used the 'int index[]', index is ascii table from position
***************
*** 776,782 ****
  /*
  0	1	2	3	4	5	6	7	8	9
  */
! 	/*---- first 0..31 chars are skiped ----*/
  
  	-1, -1, -1, -1, -1, -1, -1, -1,
  	-1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
--- 776,782 ----
  /*
  0	1	2	3	4	5	6	7	8	9
  */
! 	/*---- first 0..31 chars are skipped ----*/
  
  	-1, -1, -1, -1, -1, -1, -1, -1,
  	-1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
***************
*** 838,846 ****
  				read_post;		/* to_number - number of dec. digit */
  
  	char	   *number,			/* string with number	*/
! 			   *number_p,		/* pointer to current number pozition */
  			   *inout,			/* in / out buffer	*/
! 			   *inout_p,		/* pointer to current inout pozition */
  			   *last_relevant,	/* last relevant number after decimal
  								 * point */
  
--- 838,846 ----
  				read_post;		/* to_number - number of dec. digit */
  
  	char	   *number,			/* string with number	*/
! 			   *number_p,		/* pointer to current number position */
  			   *inout,			/* in / out buffer	*/
! 			   *inout_p,		/* pointer to current inout position */
  			   *last_relevant,	/* last relevant number after decimal
  								 * point */
  
***************
*** 3753,3759 ****
  		else
  		{
  			/*
! 			 * Write Decinal point
  			 */
  			if (*Np->number_p == '.')
  			{
--- 3753,3759 ----
  		else
  		{
  			/*
! 			 * Write Decimal point
  			 */
  			if (*Np->number_p == '.')
  			{
***************
*** 3934,3940 ****
  			{
  				Np->sign_pos = Np->num_count + (Np->num_pre ? 1 : 0);
  
! 				if (IS_DECIMAL(Np->Num))		/* decimal point correctio */
  					++Np->sign_pos;
  			}
  			else if (IS_ZERO(Np->Num) && Np->num_pre > Np->Num->zero_start)
--- 3934,3940 ----
  			{
  				Np->sign_pos = Np->num_count + (Np->num_pre ? 1 : 0);
  
! 				if (IS_DECIMAL(Np->Num))		/* decimal point correction */
  					++Np->sign_pos;
  			}
  			else if (IS_ZERO(Np->Num) && Np->num_pre > Np->Num->zero_start)
Index: src/backend/utils/adt/name.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/name.c,v
retrieving revision 1.42
diff -c -r1.42 name.c
*** src/backend/utils/adt/name.c	9 Feb 2003 06:56:28 -0000	1.42
--- src/backend/utils/adt/name.c	10 Mar 2003 07:58:42 -0000
***************
*** 46,52 ****
  	int			len;
  	char	   *ermsg;
  
! 	/* veryfy encoding */
  	len = strlen(s);
  	if ((ermsg = pg_verifymbstr(s, len)))
  		elog(ERROR, "%s", ermsg);
--- 46,52 ----
  	int			len;
  	char	   *ermsg;
  
! 	/* verify encoding */
  	len = strlen(s);
  	if ((ermsg = pg_verifymbstr(s, len)))
  		elog(ERROR, "%s", ermsg);
Index: src/backend/utils/adt/pg_lzcompress.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/pg_lzcompress.c,v
retrieving revision 1.16
diff -c -r1.16 pg_lzcompress.c
*** src/backend/utils/adt/pg_lzcompress.c	23 Nov 2002 03:59:08 -0000	1.16
--- src/backend/utils/adt/pg_lzcompress.c	10 Mar 2003 07:56:30 -0000
***************
*** 98,104 ****
   *			makes total limits of 1-4095 for offset and 3-273 for length.
   *
   *			Now that we have successfully decoded a tag. We simply copy
!  *			the output that occured <offset> bytes back to the current
   *			output location in the specified <length>. Thus, a
   *			sequence of 200 spaces (think about bpchar fields) could be
   *			coded in 4 bytes. One literal space and a three byte tag to
--- 98,104 ----
   *			makes total limits of 1-4095 for offset and 3-273 for length.
   *
   *			Now that we have successfully decoded a tag. We simply copy
!  *			the output that occurred <offset> bytes back to the current
   *			output location in the specified <length>. Thus, a
   *			sequence of 200 spaces (think about bpchar fields) could be
   *			coded in 4 bytes. One literal space and a three byte tag to
***************
*** 419,425 ****
  		 * bytes, it's worth the call overhead to use memcmp() to check if
  		 * this match is equal for the same size. After that we must
  		 * fallback to character by character comparison to know the exact
! 		 * position where the diff occured.
  		 */
  		thislen = 0;
  		if (len >= 16)
--- 419,425 ----
  		 * bytes, it's worth the call overhead to use memcmp() to check if
  		 * this match is equal for the same size. After that we must
  		 * fallback to character by character comparison to know the exact
! 		 * position where the diff occurred.
  		 */
  		thislen = 0;
  		if (len >= 16)
***************
*** 783,789 ****
  		/*
  		 * This decompression method saves time only, if we stop near the
  		 * beginning of the data (maybe because we're called by a
! 		 * comparision function and a difference occurs early). Otherwise,
  		 * all the checks, needed here, cause too much overhead.
  		 *
  		 * Thus we decompress the entire rest at once into the temporary
--- 783,789 ----
  		/*
  		 * This decompression method saves time only, if we stop near the
  		 * beginning of the data (maybe because we're called by a
! 		 * comparison function and a difference occurs early). Otherwise,
  		 * all the checks, needed here, cause too much overhead.
  		 *
  		 * Thus we decompress the entire rest at once into the temporary
Index: src/backend/utils/adt/varlena.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/varlena.c,v
retrieving revision 1.94
diff -c -r1.94 varlena.c
*** src/backend/utils/adt/varlena.c	6 Dec 2002 05:20:17 -0000	1.94
--- src/backend/utils/adt/varlena.c	10 Mar 2003 07:57:33 -0000
***************
*** 1663,1669 ****
  
  /*
   * replace_text
!  * replace all occurences of 'old_sub_str' in 'orig_str'
   * with 'new_sub_str' to form 'new_str'
   *
   * returns 'orig_str' if 'old_sub_str' == '' or 'orig_str' == ''
--- 1663,1669 ----
  
  /*
   * replace_text
!  * replace all occurrences of 'old_sub_str' in 'orig_str'
   * with 'new_sub_str' to form 'new_str'
   *
   * returns 'orig_str' if 'old_sub_str' == '' or 'orig_str' == ''
Index: src/backend/utils/mb/conv.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/mb/conv.c,v
retrieving revision 1.43
diff -c -r1.43 conv.c
*** src/backend/utils/mb/conv.c	4 Sep 2002 20:31:31 -0000	1.43
--- src/backend/utils/mb/conv.c	10 Mar 2003 08:00:31 -0000
***************
*** 335,341 ****
   * UTF-8 ---> local code
   *
   * utf: input UTF-8 string. Its length is limited by "len" parameter
!  *		or a null terminater.
   * iso: pointer to the output.
   * map: the conversion map.
   * size: the size of the conversion map.
--- 335,341 ----
   * UTF-8 ---> local code
   *
   * utf: input UTF-8 string. Its length is limited by "len" parameter
!  *		or a null terminator.
   * iso: pointer to the output.
   * map: the conversion map.
   * size: the size of the conversion map.
Index: src/backend/utils/mb/encnames.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/mb/encnames.c,v
retrieving revision 1.11
diff -c -r1.11 encnames.c
*** src/backend/utils/mb/encnames.c	5 Dec 2002 23:21:07 -0000	1.11
--- src/backend/utils/mb/encnames.c	10 Mar 2003 08:00:58 -0000
***************
*** 25,31 ****
  /* ----------
   * All encoding names, sorted:		 *** A L P H A B E T I C ***
   *
!  * All names must be without irrelevan chars, search routines use
   * isalnum() chars only. It means ISO-8859-1, iso_8859-1 and Iso8859_1
   * are always converted to 'iso88591'. All must be lower case.
   *
--- 25,31 ----
  /* ----------
   * All encoding names, sorted:		 *** A L P H A B E T I C ***
   *
!  * All names must be without irrelevant chars, search routines use
   * isalnum() chars only. It means ISO-8859-1, iso_8859-1 and Iso8859_1
   * are always converted to 'iso88591'. All must be lower case.
   *
***************
*** 52,58 ****
  	{
  		"eucjp", PG_EUC_JP
  	},							/* EUC-JP; Extended UNIX Code fixed Width
! 								 * for Japanese, stdandard OSF */
  	{
  		"euckr", PG_EUC_KR
  	},							/* EUC-KR; Extended Unix Code for Korean ,
--- 52,58 ----
  	{
  		"eucjp", PG_EUC_JP
  	},							/* EUC-JP; Extended UNIX Code fixed Width
! 								 * for Japanese, standard OSF */
  	{
  		"euckr", PG_EUC_KR
  	},							/* EUC-KR; Extended Unix Code for Korean ,
Index: src/backend/utils/mb/mbutils.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/mb/mbutils.c,v
retrieving revision 1.38
diff -c -r1.38 mbutils.c
*** src/backend/utils/mb/mbutils.c	19 Feb 2003 14:31:26 -0000	1.38
--- src/backend/utils/mb/mbutils.c	10 Mar 2003 08:03:26 -0000
***************
*** 41,47 ****
  static bool need_to_init_client_encoding = -1;
  
  /*
!  * Set the client encoding and save fmgrinfo for the converion
   * function if necessary. if encoding conversion between client/server
   * encoding is not supported, returns -1
  */
--- 41,47 ----
  static bool need_to_init_client_encoding = -1;
  
  /*
!  * Set the client encoding and save fmgrinfo for the conversion
   * function if necessary. if encoding conversion between client/server
   * encoding is not supported, returns -1
  */
***************
*** 60,66 ****
  	if (!PG_VALID_FE_ENCODING(encoding))
  		return (-1);
  
! 	/* If we cannot actualy set client encoding info, remeber it
  	 * so that we could set it using InitializeClientEncoding()
  	 * in InitPostgres()
  	 */
--- 60,66 ----
  	if (!PG_VALID_FE_ENCODING(encoding))
  		return (-1);
  
! 	/* If we cannot actually set client encoding info, remeber it
  	 * so that we could set it using InitializeClientEncoding()
  	 * in InitPostgres()
  	 */
***************
*** 164,170 ****
   * warn and returns src. We cannot raise an error, since it will cause
   * an infinit loop in error message sending.
   *
!  * In the case of no coversion, src is returned.
   *
   * XXX We assume that storage for converted result is 4-to-1 growth in
   * the worst case. The rate for currently supported encoding pares are within 3
--- 164,170 ----
   * warn and returns src. We cannot raise an error, since it will cause
   * an infinit loop in error message sending.
   *
!  * In the case of no conversion, src is returned.
   *
   * XXX We assume that storage for converted result is 4-to-1 growth in
   * the worst case. The rate for currently supported encoding pares are within 3
***************
*** 281,287 ****
  		elog(ERROR, "Encoding conversion failed");
  
  	/*
! 	 * build text data type structre. we cannot use textin() here, since
  	 * textin assumes that input string encoding is same as database
  	 * encoding.
  	 */
--- 281,287 ----
  		elog(ERROR, "Encoding conversion failed");
  
  	/*
! 	 * build text data type structure. we cannot use textin() here, since
  	 * textin assumes that input string encoding is same as database
  	 * encoding.
  	 */
Index: src/backend/utils/misc/database.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/misc/database.c,v
retrieving revision 1.54
diff -c -r1.54 database.c
*** src/backend/utils/misc/database.c	8 Nov 2002 20:23:57 -0000	1.54
--- src/backend/utils/misc/database.c	10 Mar 2003 08:03:36 -0000
***************
*** 33,39 ****
   * pg_database.datpath) to a full absolute path for further consumption.
   * NULL means an error, which the caller should process. One reason for
   * such an error would be an absolute alternative path when no absolute
!  * paths are alllowed.
   */
  
  char *
--- 33,39 ----
   * pg_database.datpath) to a full absolute path for further consumption.
   * NULL means an error, which the caller should process. One reason for
   * such an error would be an absolute alternative path when no absolute
!  * paths are allowed.
   */
  
  char *
Index: src/bin/pg_dump/pg_backup_archiver.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/bin/pg_dump/pg_backup_archiver.c,v
retrieving revision 1.69
diff -c -r1.69 pg_backup_archiver.c
*** src/bin/pg_dump/pg_backup_archiver.c	9 Mar 2003 19:38:52 -0000	1.69
--- src/bin/pg_dump/pg_backup_archiver.c	10 Mar 2003 08:05:45 -0000
***************
*** 1661,1667 ****
  	if (fseeko(fh, 0, SEEK_SET) != 0)
  	{
  		/*
! 		 * NOTE: Formats that use the looahead buffer can unset this in
  		 * their Init routine.
  		 */
  		AH->readHeader = 1;
--- 1661,1667 ----
  	if (fseeko(fh, 0, SEEK_SET) != 0)
  	{
  		/*
! 		 * NOTE: Formats that use the lookahead buffer can unset this in
  		 * their Init routine.
  		 */
  		AH->readHeader = 1;
***************
*** 2030,2036 ****
  	if (ropt->dataOnly)
  		res = res & REQ_DATA;
  
! 	/* Mask it if we don't have a schema contribition */
  	if (!te->defn || strlen(te->defn) == 0)
  		res = res & ~REQ_SCHEMA;
  
--- 2030,2036 ----
  	if (ropt->dataOnly)
  		res = res & REQ_DATA;
  
! 	/* Mask it if we don't have a schema contribution */
  	if (!te->defn || strlen(te->defn) == 0)
  		res = res & ~REQ_SCHEMA;
  
Index: src/bin/pg_dump/pg_dump.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/bin/pg_dump/pg_dump.c,v
retrieving revision 1.318
diff -c -r1.318 pg_dump.c
*** src/bin/pg_dump/pg_dump.c	13 Feb 2003 22:56:52 -0000	1.318
--- src/bin/pg_dump/pg_dump.c	10 Mar 2003 08:06:29 -0000
***************
*** 932,938 ****
  		 * select(0, NULL, NULL, NULL, &tvi);
  		 *
  		 * This will return after the interval specified in the structure
! 		 * tvi. Fianally, call gettimeofday again to save the 'last sleep
  		 * time'.
  		 */
  	}
--- 932,938 ----
  		 * select(0, NULL, NULL, NULL, &tvi);
  		 *
  		 * This will return after the interval specified in the structure
! 		 * tvi. Finally, call gettimeofday again to save the 'last sleep
  		 * time'.
  		 */
  	}
Index: src/bin/psql/common.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/bin/psql/common.c,v
retrieving revision 1.55
diff -c -r1.55 common.c
*** src/bin/psql/common.c	21 Feb 2003 21:34:27 -0000	1.55
--- src/bin/psql/common.c	10 Mar 2003 08:08:02 -0000
***************
*** 153,159 ****
  
  
  /*
!  * for backend Notice mesages (INFO, WARNING, etc)
   */
  void
  NoticeProcessor(void *arg, const char *message)
--- 153,159 ----
  
  
  /*
!  * for backend Notice messages (INFO, WARNING, etc)
   */
  void
  NoticeProcessor(void *arg, const char *message)
Index: src/bin/psql/stringutils.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/bin/psql/stringutils.c,v
retrieving revision 1.31
diff -c -r1.31 stringutils.c
*** src/bin/psql/stringutils.c	19 Oct 2002 00:22:14 -0000	1.31
--- src/bin/psql/stringutils.c	10 Mar 2003 08:07:38 -0000
***************
*** 39,45 ****
   * Characters in 'delim', if any, will be returned as single-character
   * tokens unless part of a quoted token.
   *
!  * Double occurences of the quoting character are always taken to represent
   * a single quote character in the data.  If escape isn't 0, then escape
   * followed by anything (except \0) is a data character too.
   *
--- 39,45 ----
   * Characters in 'delim', if any, will be returned as single-character
   * tokens unless part of a quoted token.
   *
!  * Double occurrences of the quoting character are always taken to represent
   * a single quote character in the data.  If escape isn't 0, then escape
   * followed by anything (except \0) is a data character too.
   *
Index: src/include/catalog/pg_am.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_am.h,v
retrieving revision 1.24
diff -c -r1.24 pg_am.h
*** src/include/catalog/pg_am.h	22 Feb 2003 00:45:05 -0000	1.24
--- src/include/catalog/pg_am.h	10 Mar 2003 08:13:59 -0000
***************
*** 23,29 ****
  #define PG_AM_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 23,29 ----
  #define PG_AM_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_class.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_class.h,v
retrieving revision 1.74
diff -c -r1.74 pg_class.h
*** src/include/catalog/pg_class.h	22 Sep 2002 19:42:52 -0000	1.74
--- src/include/catalog/pg_class.h	10 Mar 2003 08:09:39 -0000
***************
*** 20,26 ****
  #define PG_CLASS_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_CLASS_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_constraint.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_constraint.h,v
retrieving revision 1.5
diff -c -r1.5 pg_constraint.h
*** src/include/catalog/pg_constraint.h	15 Nov 2002 02:50:10 -0000	1.5
--- src/include/catalog/pg_constraint.h	10 Mar 2003 08:09:57 -0000
***************
*** 20,26 ****
  #define PG_CONSTRAINT_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_CONSTRAINT_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_database.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_database.h,v
retrieving revision 1.27
diff -c -r1.27 pg_database.h
*** src/include/catalog/pg_database.h	3 Sep 2002 21:45:43 -0000	1.27
--- src/include/catalog/pg_database.h	10 Mar 2003 08:10:16 -0000
***************
*** 20,26 ****
  #define PG_DATABASE_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_DATABASE_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_description.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_description.h,v
retrieving revision 1.17
diff -c -r1.17 pg_description.h
*** src/include/catalog/pg_description.h	20 Jun 2002 20:29:44 -0000	1.17
--- src/include/catalog/pg_description.h	10 Mar 2003 08:10:49 -0000
***************
*** 37,43 ****
  #define PG_DESCRIPTION_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 37,43 ----
  #define PG_DESCRIPTION_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
***************
*** 64,70 ****
  typedef FormData_pg_description *Form_pg_description;
  
  /* ----------------
!  *		compiler constants for pg_descrpition
   * ----------------
   */
  #define Natts_pg_description			4
--- 64,70 ----
  typedef FormData_pg_description *Form_pg_description;
  
  /* ----------------
!  *		compiler constants for pg_description
   * ----------------
   */
  #define Natts_pg_description			4
Index: src/include/catalog/pg_group.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_group.h,v
retrieving revision 1.15
diff -c -r1.15 pg_group.h
*** src/include/catalog/pg_group.h	20 Jun 2002 20:29:44 -0000	1.15
--- src/include/catalog/pg_group.h	10 Mar 2003 08:11:08 -0000
***************
*** 19,25 ****
  #define PG_GROUP_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 19,25 ----
  #define PG_GROUP_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_index.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_index.h,v
retrieving revision 1.29
diff -c -r1.29 pg_index.h
*** src/include/catalog/pg_index.h	3 Sep 2002 01:04:41 -0000	1.29
--- src/include/catalog/pg_index.h	10 Mar 2003 08:11:16 -0000
***************
*** 20,26 ****
  #define PG_INDEX_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_INDEX_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_inherits.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_inherits.h,v
retrieving revision 1.14
diff -c -r1.14 pg_inherits.h
*** src/include/catalog/pg_inherits.h	20 Jun 2002 20:29:44 -0000	1.14
--- src/include/catalog/pg_inherits.h	10 Mar 2003 08:11:33 -0000
***************
*** 20,26 ****
  #define PG_INHERITS_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_INHERITS_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_language.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_language.h,v
retrieving revision 1.20
diff -c -r1.20 pg_language.h
*** src/include/catalog/pg_language.h	4 Sep 2002 20:31:37 -0000	1.20
--- src/include/catalog/pg_language.h	10 Mar 2003 08:11:40 -0000
***************
*** 20,26 ****
  #define PG_LANGUAGE_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_LANGUAGE_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_largeobject.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_largeobject.h,v
retrieving revision 1.13
diff -c -r1.13 pg_largeobject.h
*** src/include/catalog/pg_largeobject.h	20 Jun 2002 20:29:44 -0000	1.13
--- src/include/catalog/pg_largeobject.h	10 Mar 2003 08:11:51 -0000
***************
*** 20,26 ****
  #define PG_LARGEOBJECT_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_LARGEOBJECT_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_listener.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_listener.h,v
retrieving revision 1.13
diff -c -r1.13 pg_listener.h
*** src/include/catalog/pg_listener.h	20 Jun 2002 20:29:44 -0000	1.13
--- src/include/catalog/pg_listener.h	10 Mar 2003 08:11:59 -0000
***************
*** 19,25 ****
  #define PG_LISTENER_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 19,25 ----
  #define PG_LISTENER_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_opclass.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_opclass.h,v
retrieving revision 1.46
diff -c -r1.46 pg_opclass.h
*** src/include/catalog/pg_opclass.h	4 Sep 2002 20:31:37 -0000	1.46
--- src/include/catalog/pg_opclass.h	10 Mar 2003 08:12:13 -0000
***************
*** 38,44 ****
  #define PG_OPCLASS_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 38,44 ----
  #define PG_OPCLASS_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_operator.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_operator.h,v
retrieving revision 1.110
diff -c -r1.110 pg_operator.h
*** src/include/catalog/pg_operator.h	18 Sep 2002 21:35:23 -0000	1.110
--- src/include/catalog/pg_operator.h	10 Mar 2003 08:12:28 -0000
***************
*** 25,31 ****
  #include "nodes/pg_list.h"
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 25,31 ----
  #include "nodes/pg_list.h"
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_proc.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_proc.h,v
retrieving revision 1.285
diff -c -r1.285 pg_proc.h
*** src/include/catalog/pg_proc.h	3 Mar 2003 03:30:46 -0000	1.285
--- src/include/catalog/pg_proc.h	10 Mar 2003 08:14:12 -0000
***************
*** 26,32 ****
  #include "nodes/pg_list.h"
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 26,32 ----
  #include "nodes/pg_list.h"
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_rewrite.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_rewrite.h,v
retrieving revision 1.19
diff -c -r1.19 pg_rewrite.h
*** src/include/catalog/pg_rewrite.h	20 Jun 2002 20:29:49 -0000	1.19
--- src/include/catalog/pg_rewrite.h	10 Mar 2003 08:12:40 -0000
***************
*** 23,29 ****
  #define PG_REWRITE_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 23,29 ----
  #define PG_REWRITE_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_statistic.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_statistic.h,v
retrieving revision 1.18
diff -c -r1.18 pg_statistic.h
*** src/include/catalog/pg_statistic.h	4 Sep 2002 20:31:42 -0000	1.18
--- src/include/catalog/pg_statistic.h	10 Mar 2003 08:12:51 -0000
***************
*** 20,26 ****
  #define PG_STATISTIC_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 20,26 ----
  #define PG_STATISTIC_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_trigger.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_trigger.h,v
retrieving revision 1.16
diff -c -r1.16 pg_trigger.h
*** src/include/catalog/pg_trigger.h	20 Jun 2002 20:29:49 -0000	1.16
--- src/include/catalog/pg_trigger.h	10 Mar 2003 08:13:05 -0000
***************
*** 16,22 ****
  #define PG_TRIGGER_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 16,22 ----
  #define PG_TRIGGER_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/catalog/pg_version.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/catalog/pg_version.h,v
retrieving revision 1.15
diff -c -r1.15 pg_version.h
*** src/include/catalog/pg_version.h	20 Jun 2002 20:29:49 -0000	1.15
--- src/include/catalog/pg_version.h	10 Mar 2003 08:13:18 -0000
***************
*** 27,33 ****
  #define PG_VERSION_H
  
  /* ----------------
!  *		postgres.h contains the system type definintions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
--- 27,33 ----
  #define PG_VERSION_H
  
  /* ----------------
!  *		postgres.h contains the system type definitions and the
   *		CATALOG(), BOOTSTRAP and DATA() sugar words so this file
   *		can be read by both genbki.sh and the C compiler.
   * ----------------
Index: src/include/commands/comment.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/commands/comment.h,v
retrieving revision 1.12
diff -c -r1.12 comment.h
*** src/include/commands/comment.h	12 Jul 2002 18:43:19 -0000	1.12
--- src/include/commands/comment.h	10 Mar 2003 08:15:23 -0000
***************
*** 17,23 ****
  /*------------------------------------------------------------------
   * Function Prototypes --
   *
!  * The following protoypes define the public functions of the comment
   * related routines.  CommentObject() implements the SQL "COMMENT ON"
   * command.  DeleteComments() deletes all comments for an object.
   * CreateComments creates (or deletes, if comment is NULL) a comment
--- 17,23 ----
  /*------------------------------------------------------------------
   * Function Prototypes --
   *
!  * The following prototypes define the public functions of the comment
   * related routines.  CommentObject() implements the SQL "COMMENT ON"
   * command.  DeleteComments() deletes all comments for an object.
   * CreateComments creates (or deletes, if comment is NULL) a comment
Index: src/include/port/solaris.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/port/solaris.h,v
retrieving revision 1.7
diff -c -r1.7 solaris.h
*** src/include/port/solaris.h	5 Nov 2001 17:46:35 -0000	1.7
--- src/include/port/solaris.h	10 Mar 2003 08:17:34 -0000
***************
*** 4,10 ****
  typedef unsigned char slock_t;
  
  /*
!  * Sort this out for all operting systems some time.  The __xxx
   * symbols are defined on both GCC and Solaris CC, although GCC
   * doesn't document them.  The __xxx__ symbols are only on GCC.
   */
--- 4,10 ----
  typedef unsigned char slock_t;
  
  /*
!  * Sort this out for all operating systems some time.  The __xxx
   * symbols are defined on both GCC and Solaris CC, although GCC
   * doesn't document them.  The __xxx__ symbols are only on GCC.
   */
Index: src/include/storage/off.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/storage/off.h,v
retrieving revision 1.14
diff -c -r1.14 off.h
*** src/include/storage/off.h	20 Jun 2002 20:29:52 -0000	1.14
--- src/include/storage/off.h	10 Mar 2003 08:18:19 -0000
***************
*** 46,52 ****
   * OffsetNumberPrev
   *		Increments/decrements the argument.  These macros look pointless
   *		but they help us disambiguate the different manipulations on
!  *		OffsetNumbers (e.g., sometimes we substract one from an
   *		OffsetNumber to move back, and sometimes we do so to form a
   *		real C array index).
   */
--- 46,52 ----
   * OffsetNumberPrev
   *		Increments/decrements the argument.  These macros look pointless
   *		but they help us disambiguate the different manipulations on
!  *		OffsetNumbers (e.g., sometimes we subtract one from an
   *		OffsetNumber to move back, and sometimes we do so to form a
   *		real C array index).
   */
Index: src/interfaces/ecpg/include/sqlca.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/ecpg/include/sqlca.h,v
retrieving revision 1.21
diff -c -r1.21 sqlca.h
*** src/interfaces/ecpg/include/sqlca.h	8 Nov 2001 20:37:52 -0000	1.21
--- src/interfaces/ecpg/include/sqlca.h	10 Mar 2003 08:19:54 -0000
***************
*** 43,49 ****
  	/* stored into a host variable.				*/
  
  	/*
! 	 * 2: if 'W' a (hopefully) non-fatal notice occured
  	 */	/* 3: empty */
  	/* 4: empty						*/
  	/* 5: empty						*/
--- 43,49 ----
  	/* stored into a host variable.				*/
  
  	/*
! 	 * 2: if 'W' a (hopefully) non-fatal notice occurred
  	 */	/* 3: empty */
  	/* 4: empty						*/
  	/* 5: empty						*/
Index: src/interfaces/ecpg/preproc/ecpg.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/ecpg/preproc/ecpg.c,v
retrieving revision 1.60
diff -c -r1.60 ecpg.c
*** src/interfaces/ecpg/preproc/ecpg.c	14 Feb 2003 13:17:13 -0000	1.60
--- src/interfaces/ecpg/preproc/ecpg.c	10 Mar 2003 08:20:32 -0000
***************
*** 2,8 ****
  
  /* New main for ecpg, the PostgreSQL embedded SQL precompiler. */
  /* (C) Michael Meskes <meskes@postgresql.org> Feb 5th, 1998 */
! /* Placed under the same license as PostgresSQL */
  
  #include "postgres_fe.h"
  
--- 2,8 ----
  
  /* New main for ecpg, the PostgreSQL embedded SQL precompiler. */
  /* (C) Michael Meskes <meskes@postgresql.org> Feb 5th, 1998 */
! /* Placed under the same license as PostgreSQL */
  
  #include "postgres_fe.h"
  
Index: src/interfaces/libpq/fe-auth.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/libpq/fe-auth.c,v
retrieving revision 1.73
diff -c -r1.73 fe-auth.c
*** src/interfaces/libpq/fe-auth.c	29 Jan 2003 01:18:21 -0000	1.73
--- src/interfaces/libpq/fe-auth.c	10 Mar 2003 08:24:26 -0000
***************
*** 270,276 ****
  
  
  /*
!  * Various krb5 state which is not connection specfic, and a flag to
   * indicate whether we have initialised it yet.
   */
  static int	pg_krb5_initialised;
--- 270,276 ----
  
  
  /*
!  * Various krb5 state which is not connection specific, and a flag to
   * indicate whether we have initialised it yet.
   */
  static int	pg_krb5_initialised;
Index: src/interfaces/libpq/fe-connect.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/libpq/fe-connect.c,v
retrieving revision 1.224
diff -c -r1.224 fe-connect.c
*** src/interfaces/libpq/fe-connect.c	19 Feb 2003 14:31:26 -0000	1.224
--- src/interfaces/libpq/fe-connect.c	10 Mar 2003 08:22:07 -0000
***************
*** 210,216 ****
   * If it is desired to connect in a synchronous (blocking) manner, use the
   * function PQconnectdb.
   *
!  * To connect in an asychronous (non-blocking) manner, use the functions
   * PQconnectStart, and PQconnectPoll.
   *
   * Internally, the static functions connectDBStart, connectDBComplete
--- 210,216 ----
   * If it is desired to connect in a synchronous (blocking) manner, use the
   * function PQconnectdb.
   *
!  * To connect in an asynchronous (non-blocking) manner, use the functions
   * PQconnectStart, and PQconnectPoll.
   *
   * Internally, the static functions connectDBStart, connectDBComplete
Index: src/interfaces/libpq/fe-exec.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/libpq/fe-exec.c,v
retrieving revision 1.125
diff -c -r1.125 fe-exec.c
*** src/interfaces/libpq/fe-exec.c	19 Feb 2003 03:59:02 -0000	1.125
--- src/interfaces/libpq/fe-exec.c	10 Mar 2003 08:23:07 -0000
***************
*** 787,793 ****
  
  		/*
  		 * give the data a push, ignore the return value as ConsumeInput()
! 		 * will do any aditional flushing if needed
  		 */
  		pqFlush(conn);
  	}
--- 787,793 ----
  
  		/*
  		 * give the data a push, ignore the return value as ConsumeInput()
! 		 * will do any additional flushing if needed
  		 */
  		pqFlush(conn);
  	}
***************
*** 1448,1454 ****
  				pqCatenateResultError(lastResult, result->errMsg);
  				PQclear(result);
  				result = lastResult;
! 				/* Make sure PQerrorMessage agrees with catenated result */
  				resetPQExpBuffer(&conn->errorMessage);
  				appendPQExpBufferStr(&conn->errorMessage, result->errMsg);
  			}
--- 1448,1454 ----
  				pqCatenateResultError(lastResult, result->errMsg);
  				PQclear(result);
  				result = lastResult;
! 				/* Make sure PQerrorMessage agrees with concatenated result */
  				resetPQExpBuffer(&conn->errorMessage);
  				appendPQExpBufferStr(&conn->errorMessage, result->errMsg);
  			}
Index: src/interfaces/libpq/libpq-fe.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/libpq/libpq-fe.h,v
retrieving revision 1.87
diff -c -r1.87 libpq-fe.h
*** src/interfaces/libpq/libpq-fe.h	10 Nov 2002 00:14:22 -0000	1.87
--- src/interfaces/libpq/libpq-fe.h	10 Mar 2003 08:21:17 -0000
***************
*** 264,270 ****
  extern int	PQsendQuery(PGconn *conn, const char *query);
  extern PGresult *PQgetResult(PGconn *conn);
  
! /* Routines for managing an asychronous query */
  extern int	PQisBusy(PGconn *conn);
  extern int	PQconsumeInput(PGconn *conn);
  
--- 264,270 ----
  extern int	PQsendQuery(PGconn *conn, const char *query);
  extern PGresult *PQgetResult(PGconn *conn);
  
! /* Routines for managing an asynchronous query */
  extern int	PQisBusy(PGconn *conn);
  extern int	PQconsumeInput(PGconn *conn);
  
Index: src/interfaces/python/pgmodule.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/python/pgmodule.c,v
retrieving revision 1.43
diff -c -r1.43 pgmodule.c
*** src/interfaces/python/pgmodule.c	10 Dec 2002 11:43:44 -0000	1.43
--- src/interfaces/python/pgmodule.c	10 Mar 2003 08:25:14 -0000
***************
*** 1498,1504 ****
  		return NULL;
  
  #ifdef DEFAULT_VARS
! 	/* handles defaults variables (for unintialised vars) */
  	if ((!pghost) && (pg_default_host != Py_None))
  		pghost = PyString_AsString(pg_default_host);
  
--- 1498,1504 ----
  		return NULL;
  
  #ifdef DEFAULT_VARS
! 	/* handles defaults variables (for uninitialised vars) */
  	if ((!pghost) && (pg_default_host != Py_None))
  		pghost = PyString_AsString(pg_default_host);
  
Index: src/pl/plpython/plpython.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/pl/plpython/plpython.c,v
retrieving revision 1.30
diff -c -r1.30 plpython.c
*** src/pl/plpython/plpython.c	13 Feb 2003 23:06:15 -0000	1.30
--- src/pl/plpython/plpython.c	10 Mar 2003 08:26:23 -0000
***************
*** 644,651 ****
  						   modvalues, modnulls);
  
  	/*
! 	 * FIXME -- these leak if not explicity pfree'd by other elog calls,
! 	 * no?
  	 */
  	pfree(modattrs);
  	pfree(modvalues);
--- 644,651 ----
  						   modvalues, modnulls);
  
  	/*
! 	 * FIXME -- these leak if not explicitly pfree'd by other elog
! 	 * calls, no?
  	 */
  	pfree(modattrs);
  	pfree(modvalues);
